## uriparser 0.6.4

=== win32/MinGW/Makefile ===
# Makefile to compile uriparser with Mingw (4.2.1 for example).
# To use with mingw32-make.exe while running in cmd.exe
#
# Copyright (C) 2008, Michael Anthony Puls II <shadow2531@gmail.com>
# Copyright (C) 2008, Sebastian Pipping <webmaster@hartwork.org>
# All rights reserved.
#
# Redistribution  and use in source and binary forms, with or without
# modification,  are permitted provided that the following conditions
# are met:
#
#     * Redistributions   of  source  code  must  retain  the   above
#       copyright  notice, this list of conditions and the  following
#       disclaimer.
#
#     * Redistributions  in  binary  form must  reproduce  the  above
#       copyright  notice, this list of conditions and the  following
#       disclaimer   in  the  documentation  and/or  other  materials
#       provided with the distribution.
#
#     * Neither  the name of the <ORGANIZATION> nor the names of  its
#       contributors  may  be  used to endorse  or  promote  products
#       derived  from  this software without specific  prior  written
#       permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS  IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT  NOT
# LIMITED  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND  FITNESS
# FOR  A  PARTICULAR  PURPOSE ARE DISCLAIMED. IN NO EVENT  SHALL  THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL,    SPECIAL,   EXEMPLARY,   OR   CONSEQUENTIAL   DAMAGES
# (INCLUDING,  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES;  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT  LIABILITY,  OR  TORT (INCLUDING  NEGLIGENCE  OR  OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#

CFLAGS = -Wall -Wextra -O3 -s

TEST_DIR = ../../test
CPP_TEST_DIR = ../../test/CppTest
LIB_DIR = ../../lib
INCLUDE_DIR = ../../include
WIN32_DIR = ..
CC = gcc
CXX = g++
dos = $(subst /,\,$(1))

URIPARSER_OBJECTS := $(patsubst %.c,%.o,$(wildcard $(LIB_DIR)/*.c))
TEST_OBJECTS := $(patsubst %.cpp,%.o,$(wildcard $(CPP_TEST_DIR)/*.cpp)) \
		$(patsubst %.cpp,%.o,$(wildcard $(TEST_DIR)/*.cpp))
LIBRARY = $(WIN32_DIR)/liburiparser.a
TEST_SUITE = $(WIN32_DIR)/test.exe

$(LIBRARY): $(URIPARSER_OBJECTS)
	ar rcs $(LIBRARY) $(URIPARSER_OBJECTS)

$(URIPARSER_OBJECTS): %.o : %.c
	$(CC) $(CFLAGS) -I$(INCLUDE_DIR) -o "$@" -c "$<"

$(TEST_SUITE): $(LIBRARY) $(TEST_OBJECTS)
	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) $(TEST_OBJECTS) \
		-L$(WIN32_DIR) -luriparser -o $(TEST_SUITE)

$(TEST_OBJECTS): %.o : %.cpp
	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) -c "$<" -o "$@" 
    
all: $(LIBRARY)

clean:
	del $(call dos,$(URIPARSER_OBJECTS)) $(call dos,$(LIBRARY)) \
		$(call dos,$(TEST_OBJECTS)) $(call dos,$(TEST_SUITE))

check: $(TEST_SUITE)
	$(TEST_SUITE)

## uriparser 0.7.5

=== win32/MinGW/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 CFLAGS = -Wall -Wextra -O3 -s
 
 TEST_DIR = ../../test
-CPP_TEST_DIR = ../../test/CppTest
+CPP_TEST_DIR = ../CppTest
 LIB_DIR = ../../lib
 INCLUDE_DIR = ../../include
 WIN32_DIR = ..

=== debian/changelog ===
uriparser (0.7.5-1ubuntu2) trusty; urgency=medium

  * Build with dh-autoreconf instead of autotools-dev for new libtool.
    - debian/patches/no-configure-lzma.diff: Drop dist-lzma from configure.ac,
      as support has been removed from recent autoconfs.

 -- William Grant <wgrant@ubuntu.com>  Mon, 30 Dec 2013 17:23:11 +1100

uriparser (0.7.5-1ubuntu1) trusty; urgency=low

  * Build --with autotools_dev to update config.{sub,guess} for new ports.

 -- William Grant <wgrant@ubuntu.com>  Mon, 28 Oct 2013 11:45:26 +1100

uriparser (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #544633)
  * Use more minimalistic approach to rules using debhelper 7.
  * Add --disable-test to configure because cpptest-1.1.0 isn't packaged yet.
  * Add --disable-doc to configure to prevent generation of api docs.
  * Switch to dpkg-source 3.0 (quilt) format
  * Update *.install files to more inclusive of files to install.
  * Re-enable watch file, as it seems to work just fine with uscan.

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Sat, 15 May 2010 13:47:20 -0500

uriparser (0.7.4-2) unstable; urgency=low

  * Bump to Standards-Version 3.8.2.
  * Set maintainer to Debian QA Group.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 01:12:33 -0400

uriparser (0.7.4-1) unstable; urgency=low

  * New upstream release.  closes: #493073.
  * Add myself to Uploaders.
  * Bump to Standards-Version 3.8.0.
  * debian/prune-tarball.sh: also remove RFC1866.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Feb 2009 10:36:07 -0500

uriparser (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Versions to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 09 Mar 2008 11:54:35 +0100

uriparser (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 11 Feb 2008 19:48:38 +0100

uriparser (0.6.1-1) unstable; urgency=low

  * New upstream version. 

  * Add a watch file.

  * Convert debian/liburiparser1.symbols to be a dpkg-gensymbols file.
    SymbolFile.pm blacklists arch-specific symbols, so this closes: #448959.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 26 Dec 2007 18:42:29 +0100

uriparser (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #443222)

  * Include in the .diff.gz hunks to allow building in a separate tree.
    This will be fixed in the next upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 19 Sep 2007 21:07:20 +0200

=== debian/control ===
Source: uriparser
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://uriparser.sourceforge.net

Package: liburiparser1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: URI parsing library compliant with RFC 3986
 uriparser is a library that parses Uniform Resource Identifiers (URIs),
 strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
 are used to identify and locate resources, like http://www.debian.org or
 ISBN:0-395-36341-1.
 .
 uriparser has the following features:
 .
  * strictly compliant to RFC 3986, implementing:
    + parsing
    + reference resolution
    + reference creation
    + recomposition
    + syntax-based normalization
  * fast (linear input length time complexity)
  * unicode support

Package: liburiparser-dev
Architecture: any
Section: libdevel
Depends: liburiparser1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for uriparser
 This package provides the development files for uriparser, a library to parse
 Uniform Resource Identifiers (URIs). Install it if you want to compile a
 program that makes use of this library.

=== debian/rules ===
#!/usr/bin/make -f

# Configure arguments

confflags = --prefix=/usr --disable-test --disable-doc

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --host $(DEB_HOST_GNU_TYPE)
endif
    
###

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure $(confflags)

=== debian/watch ===
version=3
http://sf.net/uriparser/uriparser-(.*)\.tar.gz

## uriparser 0.8.0.1

=== debian/changelog ===
uriparser (0.8.0.1-2+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-20721
    Fix for an out-of-bounds read for an incomplete URI with an
    IPv6 address containing an embedded IPv4 address, such as
    a "//[::44.1" address.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Feb 2019 19:03:02 +0100

uriparser (0.8.0.1-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2018-19200: UriCommon.c allows attempted operations on NULL input
    via a uriResetUri* function.
  * Fix CVE-2018-19199: UriQuery.c allows an integer overflow via a
    uriComposeQuery* or uriComposeQueryEx* function because of an unchecked
    multiplication.
  * Fix CVE-2018-19198: UriQuery.c allows an out-of-bounds write via a
    uriComposeQuery* or uriComposeQueryEx* function because the '&' character
    is mishandled in certain contexts.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 19 Nov 2018 08:11:26 -0200

uriparser (0.8.0.1-2) unstable; urgency=low

  * debian/rules:
    - Add --with autoreconf to enable update Build Environment
      (Closes: #727517).
      + Thanks to Breno Leitao <brenohl@br.ibm.com>

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 16 Aug 2014 09:30:15 +0200

uriparser (0.8.0.1-1) unstable; urgency=medium

  * New Maintainer (Closes: #754473).
  * New upstream release (Closes: #668244).
    - Remove nonfree items from source (Closes: #753833):
      + doc/rfc3513.htm.
      + doc/rfc3986.htm.
      + doc/rfc3986_grammar_only.txt.
      + Remove debian/prune-tarball.sh.
      + Remove debian/README.Debian-source.
  * debian/control:
    - Set myself as maintainer.
    - Bump Standards-Version to 3.9.5 (no changes required).
    - Update Build-Depends:
      + Add dh-autoreconf for update Build Environment (Closes: #727517).
    - Change description of liburiparser1  (Closes: #552993).
    - For previously not existing Vcs
      + Create a new git repository on alioth.
      + Add the Fields Vcs-Browser and Vcs-Git.
  * Change debian/compat to 9 (no changes required).
  * Add debian/source/options:
    - Set compression to xz & compression-level to 9 to save space.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
    - Update copyright years for 2014.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 06 Aug 2014 21:23:55 +0200

uriparser (0.8.0+dfsg-1) UNRELEASED; urgency=medium

  * Change debian/watch
    - change upstream tarball to all filetypes.
  * remove debian/rules.old

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 12 Jul 2014 05:09:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf
-Standards-Version: 3.8.4
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends: 
+ debhelper (>= 9),
+ dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://uriparser.sourceforge.net
+Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
 
 Package: liburiparser1
 Architecture: any
@@ -13,8 +16,8 @@
 Description: URI parsing library compliant with RFC 3986
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
- are used to identify and locate resources, like http://www.debian.org or
- ISBN:0-395-36341-1.
+ are used to identify resources, like http://www.debian.org/ or
+ urn:isbn:0-395-36341-1.
  .
  uriparser has the following features:
  .

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Configure arguments
 
+#confflags = --prefix=/usr --enable-test --disable-doc
 confflags = --prefix=/usr --disable-test --disable-doc
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

=== debian/watch ===
version=3
http://sf.net/uriparser/uriparser-(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## uriparser 0.8.2

=== debian/changelog ===
uriparser (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Remove unknown substitution variable ${shlibs:Depends}
      from liburiparser-dev.
  * Refresh debian/liburiparser1.symbols.
  * Refresh link to usr/lib/liburiparser.so in liburiparser-dev.links.
  * debian/copyright:
    - Add License and author for the new files:
      +  test/VersionSuite.*.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * debian/rules:
    - Enable hardening.
    - Add override_dh_makeshlibs for testing symbols.
  * Enable mulitarch:
    - debian/rules:
      + Add --libdir to confflags
    - debian/liburiparser-dev.links:
      + Add dh-exec shebang line.
      + Add ${DEB_HOST_MULTIARCH}.
      + make file executable.
    - debian/*.install:
      + Change the path (add /*/).
    - debian/control:
      + Add dh-exec (>=0.3) to Build-Depends.
      + Add Pre-Depends: ${misc:Pre-Depends} to package liburiparser1.
      + Add Multi-Arch: same to package liburiparser1.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 28 Apr 2015 08:18:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 9),
- dh-autoreconf
-Standards-Version: 3.9.5
+ dh-autoreconf,
+ dh-exec (>=0.3)
+Standards-Version: 3.9.6
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
 
 Package: liburiparser1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Description: URI parsing library compliant with RFC 3986
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
@@ -33,7 +39,9 @@
 Package: liburiparser-dev
 Architecture: any
 Section: libdevel
-Depends: liburiparser1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ liburiparser1 (= ${binary:Version}),
+ ${misc:Depends}
 Description: development files for uriparser
  This package provides the development files for uriparser, a library to parse
  Uniform Resource Identifiers (URIs). Install it if you want to compile a

## uriparser 0.8.3

=== debian/changelog ===
uriparser (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 Oct 2015 18:35:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Configure arguments
 
-#confflags = --prefix=/usr --enable-test --disable-doc
-confflags = --prefix=/usr --disable-test --disable-doc
+confflags = --prefix=/usr --disable-test --disable-doc --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -22,3 +24,8 @@
 
 override_dh_auto_configure:
 	./configure $(confflags)
+
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION) -Pdebian/liburiparser1 -pliburiparser1

## uriparser 0.8.4

=== win32/MinGW/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 TEST_DIR = ../../test
 CPP_TEST_DIR = ../CppTest
-LIB_DIR = ../../lib
+LIB_DIR = ../../src
 INCLUDE_DIR = ../../include
 WIN32_DIR = ..
 CC = gcc
@@ -54,6 +54,8 @@
 LIBRARY = $(WIN32_DIR)/liburiparser.a
 TEST_SUITE = $(WIN32_DIR)/test.exe
 
+all: $(LIBRARY)
+
 $(LIBRARY): $(URIPARSER_OBJECTS)
 	ar rcs $(LIBRARY) $(URIPARSER_OBJECTS)
 
@@ -65,13 +67,17 @@
 		-L$(WIN32_DIR) -luriparser -o $(TEST_SUITE)
 
 $(TEST_OBJECTS): %.o : %.cpp
-	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) -c "$<" -o "$@" 
-    
-all: $(LIBRARY)
+	$(CXX) $(CFLAGS) -I$(INCLUDE_DIR) -c "$<" -o "$@"
 
 clean:
 	del $(call dos,$(URIPARSER_OBJECTS)) $(call dos,$(LIBRARY)) \
 		$(call dos,$(TEST_OBJECTS)) $(call dos,$(TEST_SUITE))
 
+clean-unix:
+	$(RM) $(URIPARSER_OBJECTS) $(LIBRARY) \
+		$(TEST_OBJECTS) $(TEST_SUITE)
+
 check: $(TEST_SUITE)
 	$(TEST_SUITE)
+
+.PHONY: all check clean clean-unix

=== debian/changelog ===
uriparser (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/liburiparser-dev.links:
    - Bump library version to 1.0.20.
  * Add package liburiparser-doc:
    - debian/rules:
      + Add override_dh_auto_build-indep and override_dh_installdocs-indep
        to handle the build and install the html documentation.
    - debian/control:
      + Add Build-Depends-Indep.
      + Add new package liburiparser-doc.
    - New debian/liburiparser-doc.doc-base.
    - New debian/liburiparser-doc.dirs.
  * New debian/liburiparser-doc.lintian-overrides to override the lintian
    warning "embedded-javascript-library".
  * debian/copyright:
    - Change GPL-3.0+ to GPL-3+.
    - Change Upstream Mail Address to Sebastian Pipping <webmaster@hartwork.org>
  * debian/rules:
    - Add override_dh_compress to exclude *.qhp.
    - Remove -c0 from dh_makeshlibs call.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 04 Nov 2015 07:02:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,12 @@
  debhelper (>= 9),
  dh-autoreconf,
  dh-exec (>=0.3)
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+ qttools5-dev-tools,
+ qtbase5-dev,
+ libqt5sql5-sqlite
 Standards-Version: 3.9.6
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
@@ -46,3 +52,15 @@
  This package provides the development files for uriparser, a library to parse
  Uniform Resource Identifiers (URIs). Install it if you want to compile a
  program that makes use of this library.
+
+Package: liburiparser-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends}
+Description: documentation files for uriparser
+ uriparser is a library that parses Uniform Resource Identifiers (URIs),
+ strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
+ are used to identify resources, like http://www.debian.org/ or
+ urn:isbn:0-395-36341-1.  This package provides the documentation 
+ files for uriparser.

## uriparser 0.8.5

=== win32/MinGW/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # To use with mingw32-make.exe while running in cmd.exe
 #
 # Copyright (C) 2008, Michael Anthony Puls II <shadow2531@gmail.com>
-# Copyright (C) 2008, Sebastian Pipping <webmaster@hartwork.org>
+# Copyright (C) 2008, Sebastian Pipping <sebastian@pipping.org>
 # All rights reserved.
 #
 # Redistribution  and use in source and binary forms, with or without

=== debian/changelog ===
uriparser (0.8.5-2) unstable; urgency=medium

  * debian/control:
    - Switch Vcs-* to new loacation.
  * Remove now useless debian/liburiparser-doc.lintian-overrides.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Jul 2018 14:16:31 +0200

uriparser (0.8.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken symlink: liburiparser.so -> liburiparser.so.1.0.21
    (closes: #901955)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jun 2018 17:00:15 +0200

uriparser (0.8.5-1) unstable; urgency=medium

  * New upstream release (Closes: #893316).
    - Refresh symbols file.
    - Refresh debian/copyright.
    - Rewrite debian/upstream/metadata.
  * Remove trailing whitespaces:
    - debian/changelog
    - debian/control
    - debian/rules
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
    - Remove dh-autoreconf from Build-Depends.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).
  * Change to my new email address:
    - debian/control
    - debian/copyright
  * New README.source to explain the branching model used.
  * debian/rules:
    - Switch to $(DEB_UPSTREAM_VERSION).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 05 May 2018 10:14:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: uriparser
 Section: libs
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  dh-exec (>=0.3)
 Build-Depends-Indep:
  doxygen,
@@ -12,10 +11,10 @@
  qttools5-dev-tools,
  qtbase5-dev,
  libqt5sql5-sqlite
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
 Homepage: http://uriparser.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/uriparser.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/uriparser.git
+Vcs-Git: git://jff.email/opt/git/uriparser.git
+Vcs-Browser: https://jff.email/cgit/uriparser.git
 
 Package: liburiparser1
 Architecture: any
@@ -62,5 +61,5 @@
  uriparser is a library that parses Uniform Resource Identifiers (URIs),
  strictly adhering to RFC 3986 where syntax for URIs is defined. URIs
  are used to identify resources, like http://www.debian.org/ or
- urn:isbn:0-395-36341-1.  This package provides the documentation 
+ urn:isbn:0-395-36341-1.  This package provides the documentation
  files for uriparser.

## uriparser 0.8.6

=== debian/changelog ===
uriparser (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 08 Sep 2018 10:40:53 +0200

## uriparser 0.9.0

=== debian/changelog ===
uriparser (0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #913817):
    - Fix CVE-2018-19198.
    - Fix CVE-2018-19199.
    - Fix CVE-2018-19200.
  * Refresh debian/liburiparser1.symbols.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 16 Nov 2018 07:57:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qttools5-dev-tools,
  qtbase5-dev,
  libqt5sql5-sqlite
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
 Vcs-Browser: https://jff.email/cgit/uriparser.git

## uriparser 0.9.1

=== debian/changelog ===
uriparser (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.3.0.1 (No changes needed).
  * debian/copyright:
    - Bump years to 2019.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 12 Jan 2019 19:08:27 +0100

## uriparser 0.9.1.1

=== win32/MinGW/Makefile ===
--- 
+++ 
@@ -40,7 +40,6 @@
 CFLAGS = -Wall -Wextra -O3 -s
 
 TEST_DIR = ../../test
-CPP_TEST_DIR = ../CppTest
 LIB_DIR = ../../src
 INCLUDE_DIR = ../../include
 WIN32_DIR = ..
@@ -49,8 +48,7 @@
 dos = $(subst /,\,$(1))
 
 URIPARSER_OBJECTS := $(patsubst %.c,%.o,$(wildcard $(LIB_DIR)/*.c))
-TEST_OBJECTS := $(patsubst %.cpp,%.o,$(wildcard $(CPP_TEST_DIR)/*.cpp)) \
-		$(patsubst %.cpp,%.o,$(wildcard $(TEST_DIR)/*.cpp))
+TEST_OBJECTS := $(patsubst %.cpp,%.o,$(wildcard $(TEST_DIR)/*.cpp))
 LIBRARY = $(WIN32_DIR)/liburiparser.a
 TEST_SUITE = $(WIN32_DIR)/test.exe

=== debian/changelog ===
uriparser (0.9.1.1-deepin1) unstable; urgency=medium

  * Fix CVE-2021-46141 and VE-2021-46142
  * UriNormalize.c: Fix .hostText copying in uriMakeOwnerEngine
    (CVE-2021-46141)
  * UriParse.c: Adjust uriFreeUriMembers* to fixed uriMakeOwner* behavior
    (CVE-2021-46141)
  * UriNormalize.c: Fix handling of empty segments in uriPreventLeakage
    (CVE-2021-46142)

 -- zhaochengyi <zhaochengyi@uniontech.com>  Tue, 13 Dec 2022 17:45:21 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qttools5-dev-tools,
  qtbase5-dev,
  libqt5sql5-sqlite
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0.1
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
 Vcs-Browser: https://jff.email/cgit/uriparser.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 # hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +18,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --host $(DEB_HOST_GNU_TYPE)
 endif
-    
+
 ###
 
 %:
@@ -25,7 +27,17 @@
 override_dh_auto_configure:
 	./configure $(confflags)
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)
+override_dh_auto_build-indep:
+	dh_auto_build
+	make -C doc
+
+override_dh_installdocs-indep:
+	cp -r $(CURDIR)/doc/html/* $(CURDIR)/debian/liburiparser-doc/usr/share/doc/liburiparser-doc/html/
+	$(RM) debian/liburiparser-doc/usr/share/doc/liburiparser-doc/html/*.md5
+	dh_installdocs
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION) -Pdebian/liburiparser1 -pliburiparser1
+	dh_makeshlibs -- -v$(DEB_VERSION_UPSTREAM) -Pdebian/liburiparser1 -pliburiparser1
+
+override_dh_compress:
+	dh_compress -X.qhp

## uriparser 0.9.3

=== CMakeLists.txt ===
# uriparser - RFC 3986 URI parsing library
#
# Copyright (C) 2018, Sebastian Pipping <sebastian@pipping.org>
# All rights reserved.
#
# Redistribution  and use in source and binary forms, with or without
# modification,  are permitted provided that the following conditions
# are met:
#
#     * Redistributions   of  source  code  must  retain  the   above
#       copyright  notice, this list of conditions and the  following
#       disclaimer.
#
#     * Redistributions  in  binary  form must  reproduce  the  above
#       copyright  notice, this list of conditions and the  following
#       disclaimer   in  the  documentation  and/or  other  materials
#       provided with the distribution.
#
#     * Neither  the name of the <ORGANIZATION> nor the names of  its
#       contributors  may  be  used to endorse  or  promote  products
#       derived  from  this software without specific  prior  written
#       permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS  IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT  NOT
# LIMITED  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND  FITNESS
# FOR  A  PARTICULAR  PURPOSE ARE DISCLAIMED. IN NO EVENT  SHALL  THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL,    SPECIAL,   EXEMPLARY,   OR   CONSEQUENTIAL   DAMAGES
# (INCLUDING,  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES;  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT  LIABILITY,  OR  TORT (INCLUDING  NEGLIGENCE  OR  OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#
cmake_minimum_required(VERSION 3.3)

project(uriparser
    VERSION
        0.9.3
)

# See https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
set(URIPARSER_SO_CURRENT    1)
set(URIPARSER_SO_REVISION  26)
set(URIPARSER_SO_AGE        0)

include(CheckCCompilerFlag)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

#
# Configuration
#
option(BUILD_SHARED_LIBS "Build shared libraries (rather than static ones)" ON)
option(URIPARSER_BUILD_DOCS "Build API documentation (requires Doxygen, Graphviz, and (optional) Qt's qhelpgenerator)" ON)
option(URIPARSER_BUILD_TESTS "Build test suite (requires GTest >=1.8.1)" ON)
option(URIPARSER_BUILD_TOOLS "Build tools (e.g. CLI \"uriparse\")" ON)
option(URIPARSER_BUILD_CHAR "Build code supporting data type 'char'" ON)
option(URIPARSER_BUILD_WCHAR_T "Build code supporting data type 'wchar_t'" ON)
set(URIPARSER_MSVC_RUNTIME "" CACHE STRING "Use of specific runtime library (/MT /MTd /MD /MDd) with MSVC")

if(NOT URIPARSER_BUILD_CHAR AND NOT URIPARSER_BUILD_WCHAR_T)
    message(SEND_ERROR "One or more of URIPARSER_BUILD_CHAR and URIPARSER_BUILD_WCHAR_T needs to be enabled.")
endif()
if(URIPARSER_BUILD_TESTS AND NOT (URIPARSER_BUILD_CHAR AND URIPARSER_BUILD_WCHAR_T))
    message(SEND_ERROR "URIPARSER_BUILD_TESTS=ON requires both URIPARSER_BUILD_CHAR=ON and URIPARSER_BUILD_WCHAR_T=ON.")
endif()
if(URIPARSER_BUILD_TOOLS AND NOT URIPARSER_BUILD_CHAR)
    message(SEND_ERROR "URIPARSER_BUILD_TOOLS=ON requires URIPARSER_BUILD_CHAR=ON.")
endif()

if(MSVC AND URIPARSER_MSVC_RUNTIME)
    set(_refs
        CMAKE_CXX_FLAGS
        CMAKE_CXX_FLAGS_DEBUG
        CMAKE_CXX_FLAGS_RELEASE
        CMAKE_C_FLAGS
        CMAKE_C_FLAGS_DEBUG
        CMAKE_C_FLAGS_RELEASE
    )
    foreach(_ref ${_refs})
        string(REGEX REPLACE "/M[DT]d?" ${URIPARSER_MSVC_RUNTIME} ${_ref} "${${_ref}}")
    endforeach()
endif()

#
# Compiler checks
#
set(URIPARSER_EXTRA_COMPILE_FLAGS)

check_c_compiler_flag("-fvisibility=hidden" URIPARSER_COMPILER_SUPPORTS_VISIBILITY)
if(URIPARSER_COMPILER_SUPPORTS_VISIBILITY)
    set(URIPARSER_EXTRA_COMPILE_FLAGS "${URIPARSER_EXTRA_COMPILE_FLAGS} -fvisibility=hidden")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${URIPARSER_EXTRA_COMPILE_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${URIPARSER_EXTRA_COMPILE_FLAGS}")

#
# config.h
#
check_symbol_exists(wprintf wchar.h HAVE_WPRINTF)
check_function_exists(reallocarray HAVE_REALLOCARRAY)  # no luck with CheckSymbolExists
configure_file(src/UriConfig.h.in config.h)

#
# C library
#
set(API_HEADER_FILES
    include/uriparser/UriBase.h
    include/uriparser/UriDefsAnsi.h
    include/uriparser/UriDefsConfig.h
    include/uriparser/UriDefsUnicode.h
    include/uriparser/Uri.h
    include/uriparser/UriIp4.h
)
set(LIBRARY_CODE_FILES
    src/UriCommon.c
    src/UriCommon.h
    src/UriCompare.c
    src/UriEscape.c
    src/UriFile.c
    src/UriIp4Base.c
    src/UriIp4Base.h
    src/UriIp4.c
    src/UriMemory.c
    src/UriMemory.h
    src/UriNormalizeBase.c
    src/UriNormalizeBase.h
    src/UriNormalize.c
    src/UriParseBase.c
    src/UriParseBase.h
    src/UriParse.c
    src/UriQuery.c
    src/UriRecompose.c
    src/UriResolve.c
    src/UriShorten.c
)

add_library(uriparser
    ${API_HEADER_FILES}
    ${LIBRARY_CODE_FILES}
)

if(NOT MSVC)
    math(EXPR URIPARSER_SO_CURRENT_MINUS_AGE "${URIPARSER_SO_CURRENT} - ${URIPARSER_SO_AGE}")
    set_property(TARGET uriparser PROPERTY VERSION ${URIPARSER_SO_CURRENT_MINUS_AGE}.${URIPARSER_SO_AGE}.${URIPARSER_SO_REVISION})
    set_property(TARGET uriparser PROPERTY SOVERSION ${URIPARSER_SO_CURRENT_MINUS_AGE})
    if(WIN32)
        set_property(TARGET uriparser PROPERTY SUFFIX "-${URIPARSER_SO_CURRENT_MINUS_AGE}${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif()
endif()

set_property(
    TARGET
        uriparser
    PROPERTY
        PUBLIC_HEADER "${API_HEADER_FILES}"
)

target_compile_definitions(uriparser PRIVATE URI_LIBRARY_BUILD)
if (NOT BUILD_SHARED_LIBS)
    target_compile_definitions(uriparser PUBLIC URI_STATIC_BUILD)
endif()
if(NOT URIPARSER_BUILD_CHAR)
    target_compile_definitions(uriparser PUBLIC URI_NO_ANSI)
endif()
if(NOT URIPARSER_BUILD_WCHAR_T)
    target_compile_definitions(uriparser PUBLIC URI_NO_UNICODE)
endif()
if(URIPARSER_COMPILER_SUPPORTS_VISIBILITY)
    target_compile_definitions(uriparser PRIVATE URI_VISIBILITY)
endif()

target_include_directories(uriparser
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}  # for config.h
)

install(
    TARGETS
        uriparser
    EXPORT
        uriparser
    ARCHIVE
        DESTINATION
            ${CMAKE_INSTALL_LIBDIR}
    LIBRARY
        DESTINATION
            ${CMAKE_INSTALL_LIBDIR}
    RUNTIME
        DESTINATION
            ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER
        DESTINATION
            ${CMAKE_INSTALL_INCLUDEDIR}/uriparser
)

#
# C command line tool
#
if(URIPARSER_BUILD_TOOLS)
    add_executable(uriparse
        tool/uriparse.c
    )

    target_link_libraries(uriparse PUBLIC uriparser)

    if(HAIKU)
        # Function inet_ntop needs -lsocket or -lnetwork (see pull request #45)
        check_library_exists(socket inet_ntop "" HAVE_LIBSOCKET__INET_NTOP)
        check_library_exists(network inet_ntop "" HAVE_LIBNETWORK__INET_NTOP)
        if(HAVE_LIBSOCKET__INET_NTOP)
            target_link_libraries(uriparse PUBLIC socket)
        endif()
        if(HAVE_LIBNETWORK__INET_NTOP)
            target_link_libraries(uriparse PUBLIC network)
        endif()
    endif()

    if(WIN32)
        target_link_libraries(uriparse PUBLIC ws2_32)
    endif()

    install(
        TARGETS
            uriparse
        DESTINATION
            ${CMAKE_INSTALL_BINDIR}
    )
endif()

#
# C++ test runner
#
if(URIPARSER_BUILD_TESTS)
    enable_testing()

    find_package(GTest 1.8.1 REQUIRED)

    add_executable(testrunner
        test/FourSuite.cpp
        test/MemoryManagerSuite.cpp
        test/test.cpp
        test/VersionSuite.cpp

        # These library code files have non-public symbols that the test suite
        # needs to link to, so they appear here as well:
        ${API_HEADER_FILES}
        ${LIBRARY_CODE_FILES}
    )

    target_compile_definitions(testrunner PRIVATE URI_STATIC_BUILD)

    if(MSVC)
        target_compile_definitions(testrunner PRIVATE -D_CRT_SECURE_NO_WARNINGS)
    endif()

    target_include_directories(testrunner SYSTEM PRIVATE
        ${GTEST_INCLUDE_DIR}
    )

    target_include_directories(testrunner PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/include
        ${CMAKE_CURRENT_BINARY_DIR}  # for config.h
    )

    target_link_libraries(testrunner PUBLIC
        ${GTEST_BOTH_LIBRARIES}
    )

    add_test(
        NAME
            test
        COMMAND
            testrunner
    )

    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
endif()

#
# Doxygen API documentation
#
if(URIPARSER_BUILD_DOCS)
    find_package(Doxygen REQUIRED dot doxygen)
    find_program(QHG_LOCATION
        NAMES
            qhelpgenerator
            qhelpgenerator-qt5  # e.g. CentOS 7
    )
    include(FindHTMLHelp)

    # Generate Doxyfile
    if(HTML_HELP_COMPILER)
        set(GENERATE_HTMLHELP YES)
    else()
        set(GENERATE_HTMLHELP NO)
    endif()
    if(QHG_LOCATION)
        set(GENERATE_QHP YES)
    else()
        set(GENERATE_QHP NO)
    endif()
    configure_file(doc/Doxyfile.in doc/Doxyfile @ONLY)
    configure_file(doc/release.sh.in doc/release.sh @ONLY)

    add_custom_target(doc
        ALL
        COMMAND
            ${DOXYGEN_EXECUTABLE}
            Doxyfile
        WORKING_DIRECTORY
            ${CMAKE_CURRENT_BINARY_DIR}/doc
        COMMENT
            "Generating API documentation with Doxygen"
        VERBATIM
    )

    install(
        DIRECTORY
            ${CMAKE_CURRENT_BINARY_DIR}/doc/html
        DESTINATION
            ${CMAKE_INSTALL_DOCDIR}
    )
    if(QHG_LOCATION)
        install(
            FILES
                ${CMAKE_CURRENT_BINARY_DIR}/doc/uriparser-${PROJECT_VERSION}.qch
            DESTINATION
                ${CMAKE_INSTALL_DOCDIR}
        )
    endif()
endif()

#
# CMake files for find_package(uriparser [..] CONFIG [..])
#
configure_package_config_file(
        cmake/uriparser-config.cmake.in
        cmake/uriparser-config.cmake
    INSTALL_DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/cmake/uriparser-${PROJECT_VERSION}/
)
write_basic_package_version_file(
    cmake/uriparser-config-version.cmake
    COMPATIBILITY SameMajorVersion  # i.e. semver
)
export(
    TARGETS
        uriparser
    FILE
        cmake/uriparser-targets.cmake  # not going to be installed
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/uriparser-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/cmake/uriparser-config-version.cmake
    DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/cmake/uriparser-${PROJECT_VERSION}/
)
install(
    EXPORT
        uriparser
    DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/cmake/uriparser-${PROJECT_VERSION}/
    NAMESPACE
        uriparser::
)

#
# pkg-config file
#
if(NOT MSVC)
    configure_file(liburiparser.pc.in liburiparser.pc @ONLY)
    install(
        FILES
            ${CMAKE_CURRENT_BINARY_DIR}/liburiparser.pc
        DESTINATION
            ${CMAKE_INSTALL_LIBDIR}/pkgconfig/
    )
endif()

#
# Summary
#
message("===========================================================================")
message("")
message("Configuration")
message("  Prefix ............... ${CMAKE_INSTALL_PREFIX}")
message("  Shared libraries ..... ${BUILD_SHARED_LIBS}")
message("  Code for char * ...... ${URIPARSER_BUILD_CHAR}")
message("  Code for wchar_t * ... ${URIPARSER_BUILD_WCHAR_T}")
message("  Tools ................ ${URIPARSER_BUILD_TOOLS}")
message("  Test suite ........... ${URIPARSER_BUILD_TESTS}")
message("  Documentation ........ ${URIPARSER_BUILD_DOCS}")
message("")
if(CMAKE_GENERATOR STREQUAL "Unix Makefiles")
    message("Continue with")
    message("  make")
    message("  make test")
    message("  sudo make install")
    message("")
endif()

=== cmake/test_find_package/CMakeLists.txt ===
# uriparser - RFC 3986 URI parsing library
#
# Copyright (C) 2018, Sebastian Pipping <sebastian@pipping.org>
# All rights reserved.
#
# Redistribution  and use in source and binary forms, with or without
# modification,  are permitted provided that the following conditions
# are met:
#
#     * Redistributions   of  source  code  must  retain  the   above
#       copyright  notice, this list of conditions and the  following
#       disclaimer.
#
#     * Redistributions  in  binary  form must  reproduce  the  above
#       copyright  notice, this list of conditions and the  following
#       disclaimer   in  the  documentation  and/or  other  materials
#       provided with the distribution.
#
#     * Neither  the name of the <ORGANIZATION> nor the names of  its
#       contributors  may  be  used to endorse  or  promote  products
#       derived  from  this software without specific  prior  written
#       permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS  IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT  NOT
# LIMITED  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND  FITNESS
# FOR  A  PARTICULAR  PURPOSE ARE DISCLAIMED. IN NO EVENT  SHALL  THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL,    SPECIAL,   EXEMPLARY,   OR   CONSEQUENTIAL   DAMAGES
# (INCLUDING,  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES;  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT  LIABILITY,  OR  TORT (INCLUDING  NEGLIGENCE  OR  OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#
cmake_minimum_required(VERSION 3.0)

project(test-find-package VERSION 1.0)


# Cover version mismatch
find_package(uriparser 9999 CONFIG QUIET)
if (uriparser_FOUND)
    message(SEND_ERROR "Was not expecting for find uriparser 9999.x.x")
endif()


# Cover invalid required component
find_package(uriparser 0.9.1 CONFIG QUIET
    COMPONENTS
        invalid123
)
if (uriparser_FOUND)
    message(SEND_ERROR "Was not expecting for find uriparser with component \"invalid123\"")
endif()


# Cover invalid optional component
find_package(uriparser 0.9.1 CONFIG REQUIRED
    COMPONENTS
        char
        wchar_t
    OPTIONAL_COMPONENTS
        invalid123
)
if (NOT uriparser_FOUND)
    message(SEND_ERROR "Was expecting to find uriparser. Something is off.")
endif()


# Compile and link some hello world using uriparser
add_executable(hello
    hello.c
)

target_link_libraries(hello PUBLIC uriparser::uriparser)

=== debian/changelog ===
uriparser (0.9.3-2) unstable; urgency=medium

  * Fix FTBFS:
    - debian/control: move all Build-Depends-Indep to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 20 Jul 2019 10:24:00 +0200

uriparser (0.9.3-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
    - Rewrite build process.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 13 Jul 2019 18:39:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11),
- dh-exec (>=0.3)
-Build-Depends-Indep:
+ cmake,
+ debhelper (>= 12),
+ dh-exec (>=0.3),
  doxygen,
  graphviz,
- qttools5-dev-tools,
+ libgtest-dev,
+ libqt5sql5-sqlite,
  qtbase5-dev,
- libqt5sql5-sqlite
-Standards-Version: 4.3.0.1
+ qttools5-dev-tools
+Standards-Version: 4.4.0
 Homepage: http://uriparser.sourceforge.net
 Vcs-Git: git://jff.email/opt/git/uriparser.git
 Vcs-Browser: https://jff.email/cgit/uriparser.git
